<?php
/* filename.jpg -> filename.$insertThis.jpg
 * mode:
 * 1) fullpath_original: return the full path of the original file
 * 2) fullpath_NewFileName: return the full path of the NneFileName */
function GenerateName($dir,$file,$insertThis)
{
    $NewFileName = '';
    $file_array = explode('.',$file);
    $target = count($file_array);
    for($i=0;$i<=$target;$i++)
    {
        if($i == 0) // first element
        {
            $NewFileName = $file_array[$i];
        }
        else if($i == ($target-1)) // last element
        {
            $NewFileName = $NewFileName.'.'.$insertThis.'.'.$file_array[$i];
            break;
        }
        else
        {
            $NewFileName = $NewFileName.'.'.$file_array[$i];
        }
    }
    
    $NewFileName = $dir.'/'.$NewFileName;
    
    return $NewFileName;
}

/* tries to extract a thumbnail representing the article of the rss, some rss deliver, some not
 * the RSS formats might change over time, so will the website layouts and thus could fail
 * */
function rss_try_get_picture($url,$mode,$source)
{
    $result = ""; // url to picture
    
    if($mode == "rss")
    {
        if($source == "wired")
        {
            // RSS feed of wire.com - does not deliver a article thumbnail, so will have to load the page and extract
            $content=file_get_contents($url);
            if (preg_match("/<img class=\"size-default-top-art.*/", $content, $matches))
            {
                $result = $matches[0];
                $result_array = explode('https',$result);
                $result = $result_array[1];
                $result_array = explode(' ',$result);
                $result = "https".$result_array[0];
            }
        }
    }
    
    return $result;
}